Rapid7 Vulnerability & Exploit Database

SUSE Linux Security Vulnerability: CVE-2006-5465

Back to Search

SUSE Linux Security Vulnerability: CVE-2006-5465

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
11/03/2006
Created
07/25/2018
Added
02/17/2015
Modified
07/04/2017

Description

Buffer overflow in PHP before 5.2.0 allows remote attackers to execute arbitrary code via crafted UTF-8 inputs to the (1) htmlentities or (2) htmlspecialchars functions.

Solution(s)

  • suse-upgrade-apache-mod_php4
  • suse-upgrade-apache2
  • suse-upgrade-apache2-devel
  • suse-upgrade-apache2-doc
  • suse-upgrade-apache2-example-pages
  • suse-upgrade-apache2-mod_php4
  • suse-upgrade-apache2-mod_php5
  • suse-upgrade-apache2-prefork
  • suse-upgrade-apache2-worker
  • suse-upgrade-mod_php4-core
  • suse-upgrade-mod_php4-servlet
  • suse-upgrade-php4-curl
  • suse-upgrade-php4-devel
  • suse-upgrade-php4-exif
  • suse-upgrade-php4-fastcgi
  • suse-upgrade-php4-gd
  • suse-upgrade-php4-imap
  • suse-upgrade-php4-mbstring
  • suse-upgrade-php4-mysql
  • suse-upgrade-php4-pear
  • suse-upgrade-php4-pgsql
  • suse-upgrade-php4-recode
  • suse-upgrade-php4-session
  • suse-upgrade-php4-sysvshm
  • suse-upgrade-php4-wddx
  • suse-upgrade-php5-bcmath
  • suse-upgrade-php5-bz2
  • suse-upgrade-php5-calendar
  • suse-upgrade-php5-ctype
  • suse-upgrade-php5-curl
  • suse-upgrade-php5-dba
  • suse-upgrade-php5-dbase
  • suse-upgrade-php5-devel
  • suse-upgrade-php5-dom
  • suse-upgrade-php5-exif
  • suse-upgrade-php5-fastcgi
  • suse-upgrade-php5-filepro
  • suse-upgrade-php5-ftp
  • suse-upgrade-php5-gd
  • suse-upgrade-php5-gettext
  • suse-upgrade-php5-gmp
  • suse-upgrade-php5-iconv
  • suse-upgrade-php5-imap
  • suse-upgrade-php5-ldap
  • suse-upgrade-php5-mbstring
  • suse-upgrade-php5-mcrypt
  • suse-upgrade-php5-mhash
  • suse-upgrade-php5-mysql
  • suse-upgrade-php5-mysqli
  • suse-upgrade-php5-ncurses
  • suse-upgrade-php5-odbc
  • suse-upgrade-php5-openssl
  • suse-upgrade-php5-pcntl
  • suse-upgrade-php5-pdo
  • suse-upgrade-php5-pear
  • suse-upgrade-php5-pgsql
  • suse-upgrade-php5-posix
  • suse-upgrade-php5-pspell
  • suse-upgrade-php5-shmop
  • suse-upgrade-php5-snmp
  • suse-upgrade-php5-soap
  • suse-upgrade-php5-sockets
  • suse-upgrade-php5-sqlite
  • suse-upgrade-php5-suhosin
  • suse-upgrade-php5-sysvmsg
  • suse-upgrade-php5-sysvsem
  • suse-upgrade-php5-sysvshm
  • suse-upgrade-php5-tokenizer
  • suse-upgrade-php5-wddx
  • suse-upgrade-php5-xmlreader
  • suse-upgrade-php5-xmlrpc
  • suse-upgrade-php5-xsl
  • suse-upgrade-php5-zlib

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;